export type Memo = {
    restoreMemo: (undo?: boolean) => void;
    commitMemo?: () => boolean;
};
export type Memoable = {
    createMemo: () => Memo;
};
export declare class HistoryMemo {
    readonly label: any;
    private _size;
    private position;
    private redoAvailable;
    private undoAvailable;
    private ring;
    constructor(label?: string, size?: number);
    get size(): number;
    set size(newSize: number);
    undo(items?: number): void;
    redo(items?: number): void;
    push(item: Memo | Memoable): Memo;
}
declare const DefaultHistoryMemo: HistoryMemo;
export { DefaultHistoryMemo };
